Package com.avaya.clientservices.collaboration.librarysharing

## Interface LibrarySharing

-     public interface LibrarySharing

  Not supported in Client SDK.
  Starts share of a selected page from the selected document. The sharing view is updated with the image of the selected page. Other network participants are also notified about the share of the selected page. The local application will be notified of the shared page through `LibrarySharingListener.onSlideShared` method.
  See Also:
    `LibraryDocumentImpl`, `LibrarySharingListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(LibrarySharingListener listener)` | Not supported in Client SDK. Adds a `LibrarySharingListener` object to receive events from a LibrarySharing instance.
    `Slide` | `getActiveSlide()` | Not supported in Client SDK. Returns slide of the currently displayed document.
    `java.util.List<Slide>` | `getSlides()` | Not supported in Client SDK. Returns list of document slides.
    `void` | `removeListener​(LibrarySharingListener listener)` | Not supported in Client SDK. Removes a `LibrarySharingListener` object from a LibrarySharing instance.
    `void` | `sharePage​(LibraryDocument document, int pageNumber, LibrarySharingCompletionHandler handler)` | Not supported in Client SDK. Starts share of a selected page from the selected document.
    `void` | `stopSharing​(LibrarySharingCompletionHandler handler)` | Not supported in Client SDK. Stops sharing of the document.

- - ### Method Detail

    - #### addListener

          void addListener​(LibrarySharingListener listener)

      Not supported in Client SDK.
      Adds a `LibrarySharingListener` object to receive events from a LibrarySharing instance.
      Parameters:
        `listener` - `LibrarySharingListener` object to be added.

    - #### removeListener

          void removeListener​(LibrarySharingListener listener)

      Not supported in Client SDK.
      Removes a `LibrarySharingListener` object from a LibrarySharing instance.
      Parameters:
        `listener` - `LibrarySharingListener` object to be removed.

    - #### sharePage

          void sharePage​(LibraryDocument document,
                         int pageNumber,
                         LibrarySharingCompletionHandler handler)

      Not supported in Client SDK.
      Starts share of a selected page from the selected document. The sharing view is updated with the image of the selected page. Other network participants are also notified about the share of the selected page. The local application will be notified of the shared page through `LibrarySharingListener.onSlideShared`
      Parameters:
        `document` - `LibraryDocument` object whose page is shared.
        `pageNumber` - page to be shared.
        `handler` - `CallCompletionHandler` a block to be called when the operation is completed.

    - #### stopSharing

          void stopSharing​(LibrarySharingCompletionHandler handler)

      Not supported in Client SDK.
      Stops sharing of the document. Sharing can be re-started by calling `sharePage`.
      Parameters:
        `handler` - `CallCompletionHandler` a block to be called when the operation is completed.

    - #### getSlides

          java.util.List<Slide> getSlides()

      Not supported in Client SDK.
      Returns list of document slides.
      Returns:
        document slides

    - #### getActiveSlide

          Slide getActiveSlide()

      Not supported in Client SDK.
      Returns slide of the currently displayed document.
      Returns:
        slide